server.port: 9816
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.1.21:6001/eureka/
#  instance.ipAddress: 192.168.80.106  # 指定此实例的ip

prolog.tx.url: http://192.168.1.21:7000/tx/manager/

spring:
  application:
    name: upcloud-base-wh-outbound-xiantao
  #redis配置
  redis:
    cluster:
      nodes: 192.168.1.17:6379,192.168.1.17:6380,192.168.1.18:6379,192.168.1.18:6380,192.168.1.19:6379,192.168.1.19:6380
    password: prolog-redis-0212
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    addresses: 192.168.1.17:5672,192.168.1.18:5672,192.168.1.19:5672
    username: common
    password: prolog-mq-20191229
    virtual-host: /upcloud-xiantao
  datasource:
    driverClassName: com.mysql.jdbc.Driver
    url: jdbc:mysql://192.168.1.11:3308/upcloud_biz_outbound?useSSL=false&serverTimezone=CTT&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
    username: root
    password: prolog0212
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 50 #最大連接數
    maxWait: 6000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000
    removeAbandonedTimeoutMillis: 600000
prolog:
  auth:
    redis:
      namespace: "upcloud-base-xiantao:"
  dao:
    dialect: mysql
    performance:
      enable: true
      showSql: true
    mybatis:
      mapperLocations: classpath:mappers/mysql/*.xml
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  service:
    operate: upcloud-base-wh-operate-xiantao
    inventory: upcloud-base-inventory-xiantao
    item: upcloud-base-item-xiantao
    strategy: upcloud-base-strategy-xiantao
    warehouse: upcloud-base-wh-xiantao
    power: service-platform-power-base-mysql
    control: upcloud-base-wh-control-xiantao
    inbound: upcloud-base-wh-inbound-xiantao
    integration : service-integration
    common: upcloud-base-common-xiantao
    chain: upcloud-base-chain-xiantao
  interfaceId:
    sendAgv: 282
    sendWms: 291
    updateAgvStatus: 293
    token: $2a$12$YIIm6aSpXAFDQ.IL1ah0TOBp/zbQaiPT5mFBaUxbCbwRKO0ZVkwqW

logging:
  config: classpath:log4j2-cube.xml
  level.root: info

mq:
  wave:
    response:
      queueName: waveResponseQueue
      topicName: topic.wave.response
    request:
      queueName: waveRequestQueue
      topicName: topic.wave.request

management:
  endpoints:
    web:
      exposure:
        include: "*"
        exclude: "shutdown"
  endpoint:
    logfile.external-file: /usr/local/logs/upcloud-base-wh-outbound/192.168.40.136.9816/info.log  #info日志文件路径 等效logging.file或者logging.path
    health.show-details: always #开启多个健康指标

# 超时配置
ribbon:
  ReadTimeout: 120000
  ConnectTimeout: 10000
  MaxAutoRetries: 1
  MaxAutoRetriesNextServer: 1

feign.hystrix.enabled: true #启用熔断
hystrix:
  threadpool:
    default:
      coreSize: 20 #线程隔离，默认线程池大小为10
      maxQueueSize: 500
      queueSizeRejectionThreshold: 400
  command:
    default: #默认全局配置
      execution:
        timeout:
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 525000